#
# 
#  Copyright (c) 1994 A & A Custom Software.
#  All rights reserved.
# 
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. All advertising materials mentioning features or use of this software
#     must display the following acknowledgement:
#       This product includes software developed by A & A Custom Software 
#       and its contributors.
#  4. Neither the name of A & A Custom Software nor the names of its 
#     contributors may be used to endorse or promote products derived from this 
#     software without specific prior written permission.
# 
#  THIS SOFTWARE IS PROVIDED BY A & A CUSTOM SOFTWARE AND CONTRIBUTORS ``AS IS''
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
#  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED.  IN NO EVENT SHALL A & A CUSTOM SOFTWARE OR CONTRIBUTORS BE 
#  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR 
#  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF 
#  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
#  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
#  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
#  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
#  POSSIBILITY OF SUCH DAMAGE.
# 
# $Id: ut_mkEntry.t,v 1.1.1.1 1994/05/13 04:52:15 andy Exp $
#
# Make an entry window.
#

proc ut_mkEntry { p elist } {

    set items_per_widget 4
    set llen [llength $elist]

    for {set i 0} {$i < $llen} {incr i $items_per_widget} {
	set l [lrange $elist $i [expr $i+$items_per_widget-1]]
	set c [lindex $l 0]
	# Create entry with defaults
	entry $p.$c -relief sunken -borderwidth 1
	# Configure with user values if any
	set wattr  [lindex $l 1]
	if {[string length $wattr] > 0} {
	    eval $p.$c configure $wattr 
	}
	set pattr [lindex $l 2]
	if {[string length $pattr] > 0} {
	     pack append $p $p.$c $pattr 
	} else {
	     pack append $p $p.$c  {top pady 6 frame w} 
	}
	# Set up any default bindings. The fourth 
	# list is all the callback functions
	# to invoke on a FocusOut event.
	foreach b [lindex $l 3] {
	    bind $p.$c <FocusOut> "+$b %W" 
	}
    }
}
